summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author James Geboski2010-10-20 02:18:50 +0200
committer Michiel van Wessem2010-10-20 02:18:50 +0200
commit1a59ef2239e9a6637f0fa674df5a0f321e7422fc (patch)
treead963a0d25e97fc390f70299f05ad827fd176758 /development
parent12a983652f454ad0420cff993802df3aa3f68ea0 (diff)
downloadslackbuilds-1a59ef2239e9a6637f0fa674df5a0f321e7422fc.tar.gz
development/geany-plugins: Added. (additional plugins for Geany)
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/geany-plugins/README10
-rw-r--r--development/geany-plugins/geany-plugins.SlackBuild100
-rw-r--r--development/geany-plugins/geany-plugins.info10
-rw-r--r--development/geany-plugins/slack-desc16
4 files changed, 136 insertions, 0 deletions
diff --git a/development/geany-plugins/README b/development/geany-plugins/README
new file mode 100644
index 0000000000..1ef3204fc6
--- /dev/null
+++ b/development/geany-plugins/README
@@ -0,0 +1,10 @@
+Geany Plugins (additional plugins for Geany)
+
+Geany Plugins is a package of the plugins from the Geany site thaat
+will enhance and extend Geany's capabilities. Most of these plugins
+were developed by various developers on SourceForge.net.
+
+This requires Geany.
+
+Notice the 'geanygendoc' plugin will not be built as it requires
+the dependencies: GIO and CTPL.
diff --git a/development/geany-plugins/geany-plugins.SlackBuild b/development/geany-plugins/geany-plugins.SlackBuild
new file mode 100644
index 0000000000..ab29e16fea
--- /dev/null
+++ b/development/geany-plugins/geany-plugins.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for Geany Plugins
+
+# Copyright 2010 James Geboski <jgeboski@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geany-plugins
+VERSION=${VERSION:-0.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ NEWS \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/geany-plugins/geany-plugins.info b/development/geany-plugins/geany-plugins.info
new file mode 100644
index 0000000000..527223ea5c
--- /dev/null
+++ b/development/geany-plugins/geany-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="geany-plugins"
+VERSION="0.19"
+HOMEPAGE="http://plugins.geany.org/"
+DOWNLOAD="http://plugins.geany.org/geany-plugins/geany-plugins-0.19.tar.bz2"
+MD5SUM="981c479c7014ea24be7df4d84867a2cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="James Geboski"
+EMAIL="jgeboski@gmail.com"
+APPROVED="michiel"
diff --git a/development/geany-plugins/slack-desc b/development/geany-plugins/slack-desc
new file mode 100644
index 0000000000..e0e9353176
--- /dev/null
+++ b/development/geany-plugins/slack-desc
@@ -0,0 +1,16 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geany-plugins: Geany Plugins (additional plugins for Geany)
+geany-plugins:
+geany-plugins: Geany Plugins is a package of the plugins from the Geany site thaat
+geany-plugins: will enhance and extend Geany's capabilities. Most of these plugins
+geany-plugins: were developed by various developers on SourceForge.net.
+geany-plugins:
+geany-plugins: Homepage: http://plugins.geany.org/
+geany-plugins: